Subject: Re: bug#16514: 24.3.50; Region overlay looks bad on refined hunks in diff-mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 06 Dec 2020 15:55:01 +0100

Dmitry Gutov <[email-masked]> writes:

> 1. Make some changes, save, open vc-diff buffer.
>
> 2. Extend region over the pieces of the hunk that `diff-refine-hunk'
> highlighted.
>
> If there are only a few such pieces, you only see a discrepancy between
> the pieces where region starts and ends (if either is within a refined
> part), because the region is partly visible there.
>
> If most of the hunk was refined (a lot of changes), however, the region
> becomes mostly invisible (aside from the bits between reginements).

I'm not sure I understand the recipe at all, but what I did was

C-x v =

in a file that had changes, and then created a region with the mouse
over an arbitrary bit of that buffer:

And the results don't look obviously wrong to me.  So is this something
that has been fixed already, or am I reproducing it wrong?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no